import { EventEmitter } from '../../../stencil-public-runtime';
import { Row } from './types';
export declare class PnMultipleInput {
    hostElement: Element;
    pnSlotElement: HTMLElement;
    label: string;
    placeholder: string;
    addRowButtonText: string;
    rowData: Row[];
    private _formValues;
    allFormValues: EventEmitter<string>;
    componentWillLoad(): void;
    componentDidLoad(): void;
    componentDidUpdate(): void;
    addEventHandlers(): void;
    generateUniqueId(): string;
    deleteRow(indexToRemove: any): void;
    addRow(): void;
    handleInput(e: any): void;
    emitValues(): void;
    render(): any;
}
